An order
curl --request GET \
--url https://partners.dekhq.com/api/partners/v1/orders/{orderId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://partners.dekhq.com/api/partners/v1/orders/{orderId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://partners.dekhq.com/api/partners/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partners.dekhq.com/api/partners/v1/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partners.dekhq.com/api/partners/v1/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partners.dekhq.com/api/partners/v1/orders/{orderId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://partners.dekhq.com/api/partners/v1/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"order": {
"orderId": "ord_0123456789abcdef0123456789",
"orderNumber": "00058817",
"purchaseOrderNumber": "PO-10042",
"status": "in_production",
"open": true,
"onHold": false,
"createdAt": "2026-02-02T15:30:00.000Z",
"requestedDeliveryDate": "2026-02-16T00:00:00.000Z",
"shipTo": {
"address1": "200 Sample St",
"address2": "Suite 300",
"city": "Riverton",
"region": "WY",
"postalCode": "82501",
"country": "US"
}
}
}{
"type": "https://docs.dekhq.com/api/partners/errors#invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "A query parameter or body field is missing or invalid. `errors[]` lists each field.",
"code": "invalid_request",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#unauthenticated",
"title": "Unauthenticated",
"status": 401,
"detail": "Missing or invalid credentials.",
"code": "unauthenticated",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Your credential is not enabled for the scope this endpoint needs.",
"code": "forbidden",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource for your credential: it does not exist, or it belongs to a client your credential is not linked to.",
"code": "not_found",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#rate_limited",
"title": "Rate limited",
"status": 429,
"detail": "More than the allowed requests per minute.",
"code": "rate_limited",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#internal",
"title": "Internal error",
"status": 500,
"detail": "An unexpected error on our side. It is logged; retry later.",
"code": "internal",
"requestId": "req_0123456789abcdef"
}Order Status
An order
One of your orders: its numbers, your PO and its status. An order that does not exist, or belongs to a client your credential is not linked to, is 404 not_found.
GET
/
api
/
partners
/
v1
/
orders
/
{orderId}
An order
curl --request GET \
--url https://partners.dekhq.com/api/partners/v1/orders/{orderId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://partners.dekhq.com/api/partners/v1/orders/{orderId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://partners.dekhq.com/api/partners/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partners.dekhq.com/api/partners/v1/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partners.dekhq.com/api/partners/v1/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partners.dekhq.com/api/partners/v1/orders/{orderId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://partners.dekhq.com/api/partners/v1/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"order": {
"orderId": "ord_0123456789abcdef0123456789",
"orderNumber": "00058817",
"purchaseOrderNumber": "PO-10042",
"status": "in_production",
"open": true,
"onHold": false,
"createdAt": "2026-02-02T15:30:00.000Z",
"requestedDeliveryDate": "2026-02-16T00:00:00.000Z",
"shipTo": {
"address1": "200 Sample St",
"address2": "Suite 300",
"city": "Riverton",
"region": "WY",
"postalCode": "82501",
"country": "US"
}
}
}{
"type": "https://docs.dekhq.com/api/partners/errors#invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "A query parameter or body field is missing or invalid. `errors[]` lists each field.",
"code": "invalid_request",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#unauthenticated",
"title": "Unauthenticated",
"status": 401,
"detail": "Missing or invalid credentials.",
"code": "unauthenticated",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Your credential is not enabled for the scope this endpoint needs.",
"code": "forbidden",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource for your credential: it does not exist, or it belongs to a client your credential is not linked to.",
"code": "not_found",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#rate_limited",
"title": "Rate limited",
"status": 429,
"detail": "More than the allowed requests per minute.",
"code": "rate_limited",
"requestId": "req_0123456789abcdef"
}{
"type": "https://docs.dekhq.com/api/partners/errors#internal",
"title": "Internal error",
"status": 500,
"detail": "An unexpected error on our side. It is logged; retry later.",
"code": "internal",
"requestId": "req_0123456789abcdef"
}